---
names: 
  full: "Google GCE Instance has a public IP address"
  contextual: "Instance has a public IP address"
description: "Compute instances should not be configured to have external IP addresses."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/04/09
  - /frameworks/cloudaware/resource-security/public-and-anonymous-access
  - /frameworks/nist-sp-800-53-r4/ca/03
  - /frameworks/nist-sp-800-53-r4/sc/07
  - /frameworks/nist-sp-800-53-r5/ac/03
  - /frameworks/nist-sp-800-53-r5/ac/05
  - /frameworks/nist-sp-800-53-r5/ac/06
  - /frameworks/nist-sp-800-53-r5/mp/02
  - /frameworks/pci-dss-v3.2.1/01/02/01
  - /frameworks/pci-dss-v4.0/01/03/01
  - /frameworks/iso-iec-27001-2022/05/10
  - /frameworks/iso-iec-27001-2022/05/15
  - /frameworks/iso-iec-27001-2022/08/03
  - /frameworks/iso-iec-27001-2022/08/04
  - /frameworks/nist-csf-v1.1/pr-ac/04
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc6/01/03
  - /frameworks/soc-2/cc6/01/07
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/ComputeEngine/instances-with-public-ip-addresses.html"
      name: "Check for Virtual Machine Instances with Public IP Addresses"
